# Generated by Django 2.2.1 on 2019-08-05 14:06

import datetime
from django.db import migrations, models
import django.db.models.deletion
import django_kepi.models.thing
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='Collection',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.URLField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Fetch',
            fields=[
                ('url', models.URLField(primary_key=True, serialize=False)),
                ('date', models.DateTimeField(default=datetime.datetime.now)),
            ],
        ),
        migrations.CreateModel(
            name='Following',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('follower', models.URLField(max_length=255)),
                ('following', models.URLField(max_length=255)),
                ('pending', models.BooleanField(default=True)),
            ],
        ),
        migrations.CreateModel(
            name='IncomingMessage',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('received_date', models.DateTimeField(auto_now_add=True)),
                ('content_type', models.CharField(default='', max_length=255)),
                ('date', models.CharField(default='', max_length=255)),
                ('digest', models.CharField(default='', max_length=255)),
                ('host', models.CharField(default='', max_length=255)),
                ('path', models.CharField(default='', max_length=255)),
                ('signature', models.CharField(default='', max_length=255)),
                ('body', models.TextField(default='')),
                ('is_local_user', models.BooleanField(default=False)),
                ('waiting_for', models.URLField(default=None, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Mention',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('to_actor', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Object',
            fields=[
                ('number', models.CharField(default=django_kepi.models.thing._new_number, max_length=8, primary_key=True, serialize=False, unique=True)),
                ('f_actor', models.CharField(blank=True, default=None, max_length=255, null=True)),
                ('remote_url', models.URLField(blank=True, default=None, max_length=255, null=True, unique=True)),
                ('active', models.BooleanField(default=True)),
                ('polymorphic_ctype', models.ForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='polymorphic_django_kepi.object_set+', to='contenttypes.ContentType')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
        ),
        migrations.CreateModel(
            name='Activity',
            fields=[
                ('object_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Object')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.object',),
        ),
        migrations.CreateModel(
            name='Actor',
            fields=[
                ('object_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Object')),
                ('f_privateKey', models.TextField(blank=True, null=True)),
                ('f_publicKey', models.TextField(blank=True, null=True)),
                ('auto_follow', models.BooleanField(default=True)),
                ('f_preferredUsername', models.CharField(max_length=255)),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.object',),
        ),
        migrations.CreateModel(
            name='Item',
            fields=[
                ('object_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Object')),
                ('f_content', models.CharField(blank=True, max_length=255)),
                ('f_attributedTo', models.CharField(blank=True, max_length=255)),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.object',),
        ),
        migrations.CreateModel(
            name='ThingField',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('field', models.CharField(max_length=255)),
                ('value', models.CharField(blank=True, default=None, max_length=255, null=True)),
                ('parent', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='django_kepi.Object')),
            ],
        ),
        migrations.CreateModel(
            name='CollectionMember',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('member', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='django_kepi.Object')),
                ('parent', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='django_kepi.Collection')),
            ],
        ),
        migrations.CreateModel(
            name='Audience',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('field', models.PositiveSmallIntegerField(choices=[(1, 'audience'), (2, 'to'), (4, 'cc'), (114, 'bto'), (116, 'bcc')])),
                ('recipient', models.CharField(max_length=255)),
                ('parent', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='django_kepi.Object')),
            ],
        ),
        migrations.CreateModel(
            name='Accept',
            fields=[
                ('activity_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Activity')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.activity',),
        ),
        migrations.CreateModel(
            name='Add',
            fields=[
                ('activity_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Activity')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.activity',),
        ),
        migrations.CreateModel(
            name='Announce',
            fields=[
                ('activity_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Activity')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.activity',),
        ),
        migrations.CreateModel(
            name='Application',
            fields=[
                ('actor_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Actor')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.actor',),
        ),
        migrations.CreateModel(
            name='Article',
            fields=[
                ('item_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Item')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.item',),
        ),
        migrations.CreateModel(
            name='Audio',
            fields=[
                ('item_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Item')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.item',),
        ),
        migrations.CreateModel(
            name='Create',
            fields=[
                ('activity_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Activity')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.activity',),
        ),
        migrations.CreateModel(
            name='Delete',
            fields=[
                ('activity_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Activity')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.activity',),
        ),
        migrations.CreateModel(
            name='Document',
            fields=[
                ('item_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Item')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.item',),
        ),
        migrations.CreateModel(
            name='Event',
            fields=[
                ('item_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Item')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.item',),
        ),
        migrations.CreateModel(
            name='Follow',
            fields=[
                ('activity_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Activity')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.activity',),
        ),
        migrations.CreateModel(
            name='Group',
            fields=[
                ('actor_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Actor')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.actor',),
        ),
        migrations.CreateModel(
            name='Image',
            fields=[
                ('item_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Item')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.item',),
        ),
        migrations.CreateModel(
            name='Like',
            fields=[
                ('activity_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Activity')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.activity',),
        ),
        migrations.CreateModel(
            name='Note',
            fields=[
                ('item_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Item')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.item',),
        ),
        migrations.CreateModel(
            name='Organization',
            fields=[
                ('actor_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Actor')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.actor',),
        ),
        migrations.CreateModel(
            name='Page',
            fields=[
                ('item_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Item')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.item',),
        ),
        migrations.CreateModel(
            name='Person',
            fields=[
                ('actor_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Actor')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.actor',),
        ),
        migrations.CreateModel(
            name='Place',
            fields=[
                ('item_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Item')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.item',),
        ),
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('item_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Item')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.item',),
        ),
        migrations.CreateModel(
            name='Reject',
            fields=[
                ('activity_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Activity')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.activity',),
        ),
        migrations.CreateModel(
            name='Relationship',
            fields=[
                ('item_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Item')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.item',),
        ),
        migrations.CreateModel(
            name='Remove',
            fields=[
                ('activity_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Activity')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.activity',),
        ),
        migrations.CreateModel(
            name='Service',
            fields=[
                ('actor_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Actor')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.actor',),
        ),
        migrations.CreateModel(
            name='Undo',
            fields=[
                ('activity_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Activity')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.activity',),
        ),
        migrations.CreateModel(
            name='Update',
            fields=[
                ('activity_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Activity')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.activity',),
        ),
        migrations.CreateModel(
            name='Video',
            fields=[
                ('item_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='django_kepi.Item')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('django_kepi.item',),
        ),
        migrations.AddConstraint(
            model_name='thingfield',
            constraint=models.UniqueConstraint(fields=('parent', 'field'), name='parent_field'),
        ),
        migrations.AddField(
            model_name='mention',
            name='from_status',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='django_kepi.Item'),
        ),
        migrations.AddField(
            model_name='collection',
            name='owner',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='django_kepi.Actor'),
        ),
        migrations.AddConstraint(
            model_name='collection',
            constraint=models.UniqueConstraint(fields=('owner', 'name'), name='owner and name'),
        ),
    ]
